*{
    margin:0px;
    padding:0px;
}

html,body{
    margin: 0; /* 去除默认的 margin */
}

ul{
    list-style:none;
    width: 100%;
}

a{
    text-decoration:none;
    color:#333;
}

img{
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* 视口高度 */
}


/* ============= header开始 ================= */

header,.main{
    max-width: 1200px;
    margin: auto;
    width: 100%;
    transition: 0.5s;
}

header{
    left: 0px;
    right: 0px;
    position: fixed;
    min-height:60px;
    max-width: 1200px;
    background:#FFF;
    z-index:1;
}


#logo{
    width: 100px;
    min-width: 45px;
    margin: 15px 0px 0px 5px;
}


#headernav{
    float:left;
    display: flex;
    width: 70%;
}


.nava{
    display:flex;
    justify-content: space-around;
    padding-left: 20px;
    line-height: 30px;
    text-align:center;
    z-index: 1;
    margin-top: 12px;
}

.nava a:hover,#pcbackTop:hover{
    color: #FFFFFF;
    background: #FF0000;
    border-radius: 20px;
}

.nava a {
    display: inline-block;
    min-width: 32px;
    padding:0px 15px;
    transition: 0.5s;
}

.nava li a.active{
    color: #FFFFFF;
    background: #FF0000;
    border-radius: 20px;
}


/* 隐藏手机下拉按钮及菜单 */
.menu-btn{
    display:none;
    font-size:28px;
    cursor:pointer;
}

.mobile-menu{
    display:none;
    position:absolute;
    top:60px;
    right:10px;
    background:#fff;
    border:1px solid #ddd;
    width:150px;
    z-index:999;
}

.mobile-menu a{
    display:block;
    padding:12px;
    text-decoration:none;
    color:#333;
    border-bottom:1px solid #eee;
}


#searchDiv{
    margin-top: 18px;
    margin-right: 20px;
    width: 215px;
    float: right;
    transition: 0.5s;
}

#search{
cursor: pointer;
padding: 1px 8px 2px 10px;
border-radius: 10px;
border: 1px solid #A6A6A6;
color: #666;
background: #FFF;
font-size: 14px;
letter-spacing: 1px;
position:absolute;
outline:none;
transition: 0.5s;
}

#search:active{
    margin-top: 2px;
}

#search:hover{
    color: #FFFFFF;
    background: #FF0000;
}

#searchword{
    height: 22px;
    border-radius: 10px;
    border: 1px solid #A6A6A6;
    padding-left: 5px; 
    margin-right:3px;  
    font-size: 14px;
}

/* ============= header结束 ================= */


/* ============= 首页开始 ================= */

#main1{
    position: relative;
    padding-top:70px;
}


#mainh3{
    text-align: center;
    margin-bottom: 10px;
}

.HomeMainH3 {
    display: flex;
    justify-content: space-between;
    padding:0px 10px;
    background-color: #f5f5f5;
    line-height: 30px;
}

.HomeMainSpan {
    float: right;
}

.hengfuText {
    transition: transform 0.5s ease;
    padding: 0 15px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    height: 45px;
    background-color: #ffcccc;
    text-align: center;
    text-decoration: none;
    color: #383838;
}

.hengfuText:nth-child(even) {
    background-color: #ffe3a1;
}

.hengfuText h2 {
    font-weight: normal;
    font-size: 1.5em;
}

.hengfuText h3 {
    font-weight: normal;
    font-size: 1.2em;
}

.hengfuText p {
    font-size: 1.1em;
}

.mList,.subList{ 
    transition: 0.5s;
    margin-bottom:15px;
    margin-top: 10px;
    display:flex;
    flex-wrap:wrap;
    justify-content:space-between;
}
.mList figure{
    width:16%;
    margin-bottom:20px;
}

.mList img {
    max-height: 269px;
}

.mList,.subList figcaption{
    font-size: 14px;
}

#backtop{
    display: none;
}

/* ============= 首页结束 ================= */



/* ============= 列表页开始 ================= */

.subList figure{
    width: 138px;
/*    height: 190px;*/
    position: relative;
    overflow: hidden;
    margin-bottom: 15px;
}

#alist li {
    padding-left: 3px;
    display: flex; /* 使用 Flexbox 布局 */
    align-items: flex-start; /* 垂直方向上靠上对齐 */
    justify-content: space-between; /* 让子元素两端对齐 */
    margin-bottom: 30px;
}

#alist a {
    display: flex; /* 使用 Flexbox 布局 */
    align-items: flex-start; /* 垂直方向上靠上对齐 */
    gap: 10px; /* 图片和内容之间的间距 */
}

#alist img {
    width: 100px; /* 设置图片宽度 */
    height: auto; /* 保持图片比例 */
    vertical-align: top; /* 确保图片靠上对齐 */
}

#alist .content {
    display: flex; /* 使用 Flexbox 布局 */
    flex-direction: column; /* 垂直排列标题和摘要 */
    gap: 10px; /* 标题和摘要之间的间距 */
    max-width: calc(100% - 110px); /* 根据图片宽度调整最大宽度 */
}

#alist figcaption {
    white-space: nowrap; /* 防止标题换行 */
    overflow: hidden; /* 隐藏超出部分 */
    text-overflow: ellipsis; /* 显示省略号 */
    font-weight: bold;
}

#alist p {
    font-size: 14px; /* 调整字体大小 */
    color: #888; 
    white-space: normal; /* 允许换行 */
    overflow: hidden; /* 隐藏超出部分 */
    text-overflow: ellipsis; /* 显示省略号 */
    display: -webkit-box; /* 用于多行文本的省略号 */
    -webkit-line-clamp: 3; /* 限制显示两行 */
    -webkit-box-orient: vertical;
    max-width: 80%; /* 根据容器宽度调整 */

}

#alist .postdate {
    white-space: nowrap;
    margin-left: auto; /* 将 <span> 元素靠右显示 */
    font-size: 14px; /* 调整字体大小 */
    color: #888; 
}

#pages{
    font-size: 14px;
    font-style: #888;
	margin: 20px auto 20px auto;
	text-align: center;
}

#pages ul {
list-style: none;
}

#pages li {
    padding: 2px 5px 2px;
    font-family: Tahoma;
    line-height: 17px;
    border: 1px solid #E9E9E9;
    display: inline;
}

.thisclass {
    font-weight: bold;
}

.pageinfo strong {
    font-weight: normal;
}


/* ============= 列表页结束 ================= */



/* ============= 文章页开始 ================= */

#main {
    flex:1;/* 使网页主体部分占据更多空间，flex: 1 是一个简写，同时设置了 flex-grow: 1、flex-shrink: 1 和 flex-basis: 0% */
}

#articleContent{
    max-width: 1200px;
    line-height: 2em;
    transition: 0.5s;
    margin: 20px 5px 30px 5px;
}

#articleContent h3 {
    text-align: center;
}

#articleContent img{
    margin: auto;
    display: block;
    max-width: 500px;
    margin-bottom: 10px;
}

#writer{
    font-size: 14px;
    text-align: center;
    display: block;
    color: #888;
    margin-bottom: 15px;
}

/* ============= 文章页结束 ================= */


/* ============= 搜索页开始 ================= */

.search_header .search_box{
    padding-top:95px;
    padding-left: 15px;
}

#search-option{
    height: 25px;
}

#search-keyword{
    height: 21px;
}

.search-submit {
    cursor:pointer;
    width:68px;
    height: 25px;
}

.resultbar{

    transition: 0.5s;
    margin-top: 15px;
    line-height:32px;
    text-indent:12px;
    border-bottom: 1px solid #E4E4E4;
    border-top: 1px solid #E4E4E4;
 }

 .result_content{
    padding-top: 75px;
    overflow:hidden;
    margin-left: 15px;
 }


 .sidebar{
  transition: 0.5s;
  float:right;
  width:300px;
  padding:15px 0 0 15px;
  margin-right:20px;
  margin-top: 50px;
  border-left:1px solid #dadada;
  word-wrap:break-word;
}

.sidebar h4{
  line-height:25px;
  text-align: center;
  margin-bottom: 10px;

 }

.fc_03c{
    color: #FF0000;
}

.sidebar  ul li{
  line-height:24px;
 }


 .resultlist{
  overflow:hidden;
}

.resultlist ul{
  padding:10px 0 0 10px;
 }

.resultlist ul li{
  padding-top:15px;
 }

.resultlist ul li h3{
  line-height:32px;
  text-align: left;
 }

.resultlist ul li h3 a{
  text-decoration:underline;
 }

.resultlist ul li p{
  line-height:27px;
  color:#333;
  max-width:750px;
 }

.resultlist ul li span small{
  margin-left:5px;
  color:#999;
 }

.resultlist ul li span a{
  color:#008400;
  font-size: 14px;
 }

 /* 高级搜索 */
 #heightsearch{
    padding-top: 95px;
 }


#search-rht {
    list-style: none; /* 去除列表项的默认样式 */
    display: flex; /* 使用 flex 布局 */
    align-items: flex-start; /* 内容顶部对齐 */
    margin-bottom: 15px;
}

#search-rht img {
    margin-right: 10px; /* 图片与右侧内容的间距 */
    width: 100px; /* 设置图片宽度，根据需要调整 */
    height: auto; /* 保持图片比例 */
    flex-shrink: 0; /* 防止图片被压缩 */
}

#search-rht .content {
    flex: 1; /* 右侧内容占据剩余空间 */
    display: flex;
    flex-direction: column; /* 垂直排列 h3、p、span */
    align-items: flex-start; /* 内容左对齐 */
}

#search-rht h3,
#search-rht p,
#search-rht span {
    width: 100%; /* 让内容占满容器宽度 */
    margin: 0; /* 去除默认的外边距 */
    text-align: left; /* 文本左对齐 */
}

#search-rht h3 {
    font-weight: normal;
    margin-bottom: 5px; /* h3 和 p 之间的间距 */
}

#search-rht p {
    font-size: 14px;
    color: #888;
    margin-bottom: 5px; /* p 和 span 之间的间距 */
}


/* ============= 搜索页结束 ================= */


/* ============= 广告页开始 ================= */
  #postadv {
    width: 60%;
    margin: 0 auto; /* 水平居中 */
    text-align: center; /* 使文本内容居中 */
    position: relative;
    top:35%;
    line-height: 25px;
  }



/* ============= 广告页结束 ================= */


/* ============= footer开始 ================= */

footer {
    background-color: #f5f5f5;
    text-align: center;
    margin-top: 20px;
}

#footerNav,#footerP {
    list-style-type: none;
    text-align: center;
    padding-top: 10px;
    clear: both;
}

footer li{
    display: inline-block;
    width: 100px;
    line-height: 28px;
}

footer ul{
    display: inline-block;
}

footer p{
    width: 100%;
    font-size: 12px;
    padding-bottom: 10px;
}


#pcbackTop{
    background: #E7E7E7;
    text-align: center;
    position: fixed;
    right: 40px;
    bottom: 100px;
    width:40px;
    height: 73px;
    display: none;
    transition: 0.5s;   
    cursor: pointer;
}

/* ============= footer结束 ================= */